Functions

# Version Information

## Functions
const char * | yaml_get_version_string (void)
| Get the library version as a string.
void | yaml_get_version (int *major, int *minor, int *patch)
| Get the library version numbers.

## Function Documentation

const char* yaml_get_version_string | ( | void |  | ) |

Get the library version as a string.

Returns:
  The function returns the pointer to a static string of the form `"X.Y.Z"`, where `X` is the major version number, `Y` is a minor version number, and `Z` is the patch version number.

void yaml_get_version | ( | int * | major,
|  | int * | minor,
|  | int * | patch |
| ) |  |  |

Get the library version numbers.

Parameters:

  `[out]` | major | Major version number.
  `[out]` | minor | Minor version number.
  `[out]` | patch | Patch version number.